uniform int animation;
uniform float weightingFact;

void main()
{
	if(animation == 1)
	{
		vec4 keyFrameA_vert = gl_Vertex;
		vec4 keyFrameB_vert = vec4(gl_MultiTexCoord5.x, gl_MultiTexCoord5.y, gl_MultiTexCoord5.z, 1.0);
		vec4 blendedPos_vert;

		blendedPos_vert = mix(keyFrameA_vert, keyFrameB_vert, weightingFact);
		gl_Position = gl_ModelViewProjectionMatrix * blendedPos_vert;
	}
	else
	{
		gl_Position     = gl_ModelViewProjectionMatrix * gl_Vertex;
	}

	gl_FrontColor   = gl_Color;
	gl_TexCoord[0]  = gl_MultiTexCoord0;
}