uniform sampler2D Texture;
uniform vec2 Size;
 
void main(void)
{
  float BlurFaktor = 0.4;
  float BrightFaktor = 1.1;
  vec2 Mittelpunkt = vec2(0.5, 0.5);
 
  vec2 TexCoord = vec2(gl_TexCoord[0]);
  vec4 Summe = vec4(0.0, 0.0, 0.0, 0.0);
  TexCoord += Size * 0.5 - Mittelpunkt;

  for (int i = 1; i <= 16; i++) 
  {
	float skalierung = 1.0 - BlurFaktor * (float(i) / 16.0);
	Summe += texture2D(Texture, TexCoord * skalierung + Mittelpunkt);
  }
  gl_FragColor = Summe / 16.0 * BrightFaktor;

}