uniform int animation2;
uniform float weightingFact2;

varying vec4 position;

void main()
{
	if(animation2 == 1)
	{
		vec4 keyFrameA_vert = gl_Vertex;
		vec4 keyFrameB_vert = vec4(gl_MultiTexCoord5.x, gl_MultiTexCoord5.y, gl_MultiTexCoord5.z, 1.0);
		vec4 blendedPos_vert;

		blendedPos_vert = mix(keyFrameA_vert, keyFrameB_vert, weightingFact2);
		gl_Position = gl_ModelViewProjectionMatrix * blendedPos_vert;
	}
	else
	{
		gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;//ftransform();
	}
	position = gl_Position;
}