 uniform sampler2D Texture;
 uniform vec2 lightPos;
 uniform float weight;
 uniform float exposure;
 uniform float density;

 void main()
 {
	vec4 color = vec4(0,0,0,0);
	vec2 TextureKoord = gl_TexCoord[0].st;
	vec2 dTextureKoord = vec2( TextureKoord - lightPos.xy );
	dTextureKoord *= density / 30.0;

	for(int i=0; i < 30 ; i++)
	{
		TextureKoord -= dTextureKoord;
		vec4 sample = texture2D(Texture, TextureKoord);
		sample *= weight;
		color += sample;
	}

	gl_FragColor = color * exposure;
}